#include "UserInterface.h"

UserInterface::UserInterface(const wxString& title) : wxFrame(nullptr, wxID_ANY, title, wxDefaultPosition, wxSize(800, 600))
{
    mgr_.SetManagedWindow(this);
    InitUI();
    InitData();
}

UserInterface::~UserInterface()
{
    mgr_.UnInit();
}

void UserInterface::InitUI()
{
    // Add Panel
    controlMgr_ = std::make_shared<ControlManager>(this);

    mgr_.AddPane(controlMgr_->header_,
                 wxAuiPaneInfo().Name("header").Caption(_("header")).CloseButton(false).Floatable(false).MinSize(-1, 40));
    mgr_.AddPane(controlMgr_->local_, wxAuiPaneInfo().Name("local").Caption(_("local")).CloseButton(false).BestSize(300, 400));

    // update
    mgr_.Update();
}

void UserInterface::InitData()
{
}
